Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| J2ME Foundation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.lang.ref
Class Reference

    java.lang.Object
      |
      +--java.lang.ref.Reference

Direct Known Subclasses:
  PhantomReference, SoftReference, WeakReference

public abstract class Reference
extends Object

Abstract base class for reference objects. This class defines the operations common to all reference objects. Because reference objects are implemented in close cooperation with the garbage collector, this class may not be subclassed directly.

Since:
  1.2

Method Summary
`void` | `clear()` Clears this reference object.
`boolean` | `enqueue()` Adds this reference object to the queue with which it is registered, if any.
`Object` | `get()` Returns this reference object's referent.
`boolean` | `isEnqueued()` Tells whether or not this reference object has been enqueued, either by the program or by the garbage collector.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### get

    public Object get()

  Returns this reference object's referent. If this reference object has been cleared, either by the program or by the garbage collector, then this method returns `null`.
  Returns:
    The object to which this reference refers, or `null` if this reference object has been cleared

### clear

    public void clear()

  Clears this reference object. Invoking this method will not cause this object to be enqueued.

### isEnqueued

    public boolean isEnqueued()

  Tells whether or not this reference object has been enqueued, either by the program or by the garbage collector. If this reference object was not registered with a queue when it was created, then this method will always return `false`.
  Returns:
    `true` if and only if this reference object has been enqueued

### enqueue

    public boolean enqueue()

  Adds this reference object to the queue with which it is registered, if any.
  Returns:
    `true` if this reference object was successfully enqueued; `false` if it was already enqueued or if it was not registered with a queue when it was created

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| J2ME Foundation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Java is a trademark or registred trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2000 Sun Microsystems, Inc. 901 San Antonio Road,
Palo, Alto, California, 94303, U.S.A All Rights Reserved. < /font >